#include <bsp.h>

#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
#define CONFIGURE_MICROSECONDS_PER_TICK     16000

/*
#define CONFIGURE_MAXIMUM_SEMAPHORES        50
#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES    50
#define CONFIGURE_MAXIMUM_MUTEXES           50
*/

#define CONFIGURE_MAXIMUM_TASKS             15
#define CONFIGURE_MAXIMUM_POSIX_THREADS     150
#define CONFIGURE_MAXIMUM_POSIX_SEMAPHORES  500
#define CONFIGURE_MAXIMUM_POSIX_MUTEXES     1500

#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS 550
#define CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM

/*
#define CONFIGURE_INIT_TASK_STACK_SIZE    (64*1024)
*/
#define CONFIGURE_INIT_TASK_PRIORITY    50
#define CONFIGURE_INIT_TASK_INITIAL_MODES (RTEMS_PREEMPT | \
                                           RTEMS_TIMESLICE | \
                                           RTEMS_INTERRUPT_LEVEL(0))

#define CONFIGURE_INIT
rtems_task Init(rtems_task_argument argument);

#include <confdefs.h>
